EDIT - bug #7842

TaxonNamePopEditor: adding new name as replaced synonym to name with basionym causes
NonUniqueObjectException

10/23/2018 11:26 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: major Found in Version:

Description

This case is not expected to occur often in real live situations:

A name has a basionym with authorship A. Adding replaced synonym for which a new name is created whereas the replaced
synonym shares the same authorteam A with the basionym leads to a NonUniqueObjectException when saving.

Adding an existing name with the the same authorteam A is not causing the exception

Caused by: org.hibernate.NonUniqueObjectException: A different object with the same identifier val
ue was already associated with the session : [eu.etaxonomy.cdm.model.agent.Team#277]

at org.hibernate.engine.internal.StatefulPersistenceContext.checkUniqueness (StatefulPersistenc
eContext.java:648)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
dateEventListener. java:284)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
rUpdateEventListener.java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:61)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOr
UpdateEventListener. java:358)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
dateEventListener. java:332)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
rUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

04/19/2024 1/3




' With basionym

With replaced synonym

Validation

Editorial notes

o Delete B Save *® Cancel

Related issues:
Related to EDIT - bug #7630: blocking registration relations get lost after s... Closed

Associated revisions

Revision ¢320e0fa - 10/23/2018 12:03 PM - Andreas Kohlbecker

fix #7842 reloading registration before adding blocking registrations

History

#1 - 10/23/2018 11:29 AM - Andreas Kohlbecker
- File picture729-1.png added

- Description updated

#2 - 10/23/2018 11:31 AM - Andreas Kohlbecker

- Description updated

#3 - 10/23/2018 12:01 PM - Andreas Kohlbecker

- Related to bug #7630: blocking registration relations get lost after saving adding a typedesignation to a newly created "typification only" registration
added

#4 - 10/23/2018 12:02 PM - Andreas Kohlbecker

This problem is caused by the code which creates the blocking registrations see #7630

#5 - 10/23/2018 12:02 PM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.4

#6 - 10/23/2018 12:03 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|c320e0fa87d07c13f3744f510c49504adf704f21.

#7 - 10/23/2018 12:03 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
https://dev.e-taxonomy.eu/redmine/issues/7630
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/c320e0fa87d07c13f3744f510c49504adf704f21

- % Done changed from 50 to 100

#8 - 10/23/2018 12:38 PM - Andreas Kohlbecker
- Tags set to phycobank
